FLANG

Public Member Functions | List of all members
Fortran::evaluate::Substring Class Reference

## Public Member Functions
| Substring (DataRef &&parent, std::optional< Expr< SubscriptInteger >> &&lower, std::optional< Expr< SubscriptInteger >> &&upper)
| Substring (StaticDataObject::Pointer &&parent, std::optional< Expr< SubscriptInteger >> &&lower, std::optional< Expr< SubscriptInteger >> &&upper)
Expr< SubscriptInteger > | lower () const
Substring & | set_lower (Expr< SubscriptInteger > &&)
std::optional< Expr< SubscriptInteger > > | upper () const
Substring & | set_upper (Expr< SubscriptInteger > &&)
const Parent & | parent () const
Parent & | parent ()
int | Rank () const
template<typename A >
const A * | GetParentIf () const
BaseObject | GetBaseObject () const
const Symbol * | GetLastSymbol () const
std::optional< Expr< SubscriptInteger > > | LEN () const
bool | operator== (const Substring &) const
llvm::raw_ostream & | AsFortran (llvm::raw_ostream &) const
std::optional< Expr< SomeCharacter > > | Fold (FoldingContext &)

The documentation for this class was generated from the following files:

- include/flang/Evaluate/variable.h
- lib/Evaluate/formatting.cpp
- lib/Evaluate/variable.cpp